﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TabControl_MemoryLeak
{
	public partial class MainPage : UserControl
	{
		MainViewModel model;
		public MainPage()
		{
			InitializeComponent();
			model = new MainViewModel();
			this.DataContext = model;
		}

		public class MainViewModel : ViewModelBase
		{
			ObservableCollection<string> items;

			public MainViewModel()
			{
				this.Items = new ObservableCollection<string>() { "item1", "item 2", " item 3", " item 4" };
			}
			public ObservableCollection<string> Items
			{
				get
				{
					return this.items;
				}
				set
				{
					this.items = value;
					OnPropertyChanged("Items");
				}
			}
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			if (model.Items.Count > 0)
			{				
				model.Items.RemoveAt(0);
			}
		}
	}
}
